# log4cpp::threading::Mutex Class Reference

`#include <PThreads.hh>`

List of all members.

## Public Member Functions

| Mutex ()
void | lock ()
void | unlock ()
| ~Mutex ()

## Constructor & Destructor Documentation

log4cpp::threading::Mutex::Mutex | ( |  | ) | `[inline]`

log4cpp::threading::Mutex::~Mutex | ( |  | ) | `[inline]`

## Member Function Documentation

void log4cpp::threading::Mutex::lock | ( |  | ) | `[inline]`

void log4cpp::threading::Mutex::unlock | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- PThreads.hh